"""
(c) 2020 АО 'НИИ "МАСШТАБ"'
"""

INITIAL_CONFIG = [
    "# Generated by node auto_configure_nic.sh",
    "# This file describes the network interfaces available on your system",
    "# and how to activate them. For more information, see interfaces(5).",
    "",
    "source /etc/network/interfaces.d/*",
    "",
    "# The loopback network interface",
    "auto lo",
    "iface lo inet loopback",
    "",
    "# The primary network interface",
    "auto ens15",
    "allow-hotplug ens15",
    "iface ens15 inet manual",
    "",
    "auto veil-blackhole",
    "iface veil-blackhole inet manual",
    "    pre-up ovs-ofctl add-flow veil-blackhole 'table=0,action=drop'",
    "auto veil-mgmt",
    "allow-hotplug veil-mgmt",
    "iface veil-mgmt inet static",
    "    address 192.168.20.122",
    "    netmask 255.255.255.0",
    "    gateway 192.168.20.1"
]

OVS_PARAMS = [
    {'input': {'ptype': 'internal', 'mac_address': '00:00:00:00:00:01'},
     'output': ' mac=\\"00:00:00:00:00:01\\"'},
    {'input': {'ptype': 'patch', 'peer': 'br0_peer_port'},
     'output': ' options:peer=br0_peer_port'},
    {'input': {'ptype': 'vxlan', 'remote_ip': '1.1.1.1', 'vni': 10000},
     'output': ' options:remote_ip=1.1.1.1 options:key=10000'},
    {'input': {'ptype': 'bond', 'bond_mode': 'active-backup', 'bond_lacp': 'off', 'lacp_time': None,
               'lacp_fallback': None},
     'output': ' bond_mode=active-backup lacp=off other_config={}'},
    {'input': {'ptype': 'bond', 'bond_mode': 'balance-tcp', 'bond_lacp': 'active', 'lacp_time': 'slow',
               'lacp_fallback': 'true'},
     'output': ' bond_mode=balance-tcp lacp=active other_config:lacp-time=slow other_config:lacp-fallback-ab=true'}
]

IFACES_CONFIGS = [
    {'input': ['auto lo', 'iface lo inet loopback'], 'output': {'name': 'lo', 'mode': 'loopback'},
     'output_to_save': ['auto lo', 'iface lo inet loopback']},
    {'input': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet dhcp'],
     'output': {'name': 'veil-mgmt', 'mode': 'dhcp'},
     'output_to_save': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet dhcp']},
    {'input': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet dhcp',
               'hwaddress ether 00:00:00:00:00:04'],
     'output': {'name': 'veil-mgmt', 'mode': 'dhcp', 'mac_address': '00:00:00:00:00:04'},
     'output_to_save': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet dhcp',
                        '    hwaddress ether 00:00:00:00:00:04']},
    {'input': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet static', 'address 192.168.20.120',
               'netmask 255.255.255.0', 'gateway 192.168.20.1', 'hwaddress ether 00:00:00:00:00:04'],
     'output': {'name': 'veil-mgmt', 'mode': 'static', 'mac_address': '00:00:00:00:00:04',
                'ipv4_address': '192.168.20.120', 'ipv4_netmask': '255.255.255.0', 'ipv4_gateway': '192.168.20.1'},
     'output_to_save': ['auto veil-mgmt', 'allow-hotplug veil-mgmt', 'iface veil-mgmt inet static',
                        '    address 192.168.20.120', '    netmask 255.255.255.0', '    gateway 192.168.20.1',
                        '    hwaddress ether 00:00:00:00:00:04']}
]
